Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.time
Class DatumDependentDuration

    java.lang.Object
      groovy.time.BaseDuration
          groovy.time.DatumDependentDuration

Direct Known Subclasses:
  TimeDatumDependentDuration

    public class DatumDependentDuration

extends BaseDuration

Author:
  John Wilson tug@wilson.co.uk

  DatumDependentDuration represents durations whose length in milliseconds cannot be determined withou knowing the datum point.

  I don't know how many days in a year unless I know if it's a leap year or not.

  I don't know how many days in a month unless I know the name of the month (and if it's a leap yaer if the month is February)

Nested Class Summary

Nested classes/interfaces inherited from class groovy.time.BaseDuration
`BaseDuration.From`

Field Summary

Fields inherited from class groovy.time.BaseDuration
`days, hours, millis, minutes, months, seconds, years`

Constructor Summary
`DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`Date` | `getAgo()`
`BaseDuration.From` | `getFrom()`
`int` | `getMonths()`
`int` | `getYears()`
`DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `minus(Duration rhs)`
`DatumDependentDuration` | `plus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(Duration rhs)`
`DatumDependentDuration` | `plus(TimeDatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(TimeDuration rhs)`
`long` | `toMilliseconds()`

Methods inherited from class groovy.time.BaseDuration
`getDays, getHours, getMillis, getMinutes, getSeconds, plus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatumDependentDuration

    public DatumDependentDuration(int years,
                                  int months,
                                  int days,
                                  int hours,
                                  int minutes,
                                  int seconds,
                                  int millis)

Method Detail

### getMonths

    public int getMonths()

  Overrides:
    `getMonths` in class `BaseDuration`

### getYears

    public int getYears()

  Overrides:
    `getYears` in class `BaseDuration`

### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)

### plus

    public DatumDependentDuration plus(TimeDatumDependentDuration rhs)

### plus

    public DatumDependentDuration plus(Duration rhs)

### plus

    public DatumDependentDuration plus(TimeDuration rhs)

### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

### minus

    public DatumDependentDuration minus(Duration rhs)

### toMilliseconds

    public long toMilliseconds()

  Specified by:
    `toMilliseconds` in class `BaseDuration`

### getAgo

    public Date getAgo()

  Specified by:
    `getAgo` in class `BaseDuration`

### getFrom

    public BaseDuration.From getFrom()

  Specified by:
    `getFrom` in class `BaseDuration`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD